al_malloc(3)

NAME

al_malloc - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    #define al_malloc(n) \
       (al_malloc_with_context((n), __LINE__, __FILE__, __func__))

DESCRIPTION

Like malloc() in the C standard library, but the implementation may be overridden.

This is a macro.

SEE ALSO

al_free(3), al_realloc(3), al_calloc(3), al_malloc_with_context(3), al_set_memory_interface(3)